%define mainver 2.25
%define rc_ver 0
%define rel 3
%define subrel 1
%if %{rc_ver}
%define release %mkrel 1.rc%{rc_ver}.%{rel}
%define tarname %{name}-%{version}-rc%{rc_ver}
%define distname %{tarname}
%else
%define release %mkrel %{rel}
%define tarname %{name}-%{version}
%define distname %{tarname}
%endif

%global __requires_exclude_from %{_docdir}

%define lib_blkid_major 1
%define lib_blkid %mklibname blkid %{lib_blkid_major}
%define lib_blkid_devel %mklibname blkid -d

%define lib_uuid_major 1
%define lib_uuid %mklibname uuid %{lib_uuid_major}
%define lib_uuid_devel %mklibname uuid -d

%define lib_ext2fs %mklibname ext2fs 2
%define lib_ext2fs_devel %mklibname ext2fs -d

%define lib_mount_major 1
%define lib_mount %mklibname mount %{lib_mount_major}
%define lib_mount_devel %mklibname mount -d

%define lib_smartcols_major 1
%define lib_smartcols %mklibname smartcols %{lib_smartcols_major}
%define lib_smartcols_devel %mklibname smartcols -d

%define git_url git://git.kernel.org/pub/scm/utils/util-linux/util-linux.git

%define build_bootstrap 0

%if !%{build_bootstrap}
%bcond_with	uclibc
%endif

%define mtab_symlink 1

### Header
Summary:	A collection of basic system utilities
Name:		util-linux
Version:	2.25.2
Release:	%{release}
License:        GPLv2 and GPLv2+ and GPLv3+ and LGPLv2+ and BSD with advertising and Public Domain
Group:		System/Base
URL:		ftp://ftp.kernel.org/pub/linux/utils/util-linux/v%{mainver}/%{name}-%{version}.tar.xz

### Features
%define include_raw 1
### Macros
%define no_hwclock_archs s390 s390x

### Dependences
BuildRequires:	gcc
BuildRequires:	sed
%if !%{build_bootstrap}
BuildRequires:	e2fsprogs-devel >= 1.41.6-2
%endif
BuildRequires:	gettext-devel
BuildRequires:	pam-devel
BuildRequires:	ncurses-devel
BuildRequires:	ncursesw-devel
BuildRequires:	termcap-devel
BuildRequires:	texinfo
BuildRequires:	slang-devel
BuildRequires:	zlib-devel
BuildRequires:	libaudit-devel
BuildRequires:	pkgconfig(systemd) >= 216
BuildRequires:	pkgconfig(libcap-ng)
BuildRequires:	pkgconfig(python-2.7)
%if %{with uclibc}
BuildRequires:	uClibc-devel
%endif
BuildRequires:	libtool

### Sources
Source0:	ftp://ftp.kernel.org/pub/linux/utils/%name/v%mainver/%{tarname}.tar.xz
# based on Fedora pam files, with pam_selinux stripped out
Source1:	util-linux-login.pamd
Source2:	util-linux-remote.pamd
Source3:	util-linux-chsh-chfn.pamd
Source4:	util-linux-60-raw.rules
Source5:	util-linux-su.pamd
Source6:	util-linux-su-l.pamd
Source7:	util-linux-runuser.pamd
Source8:	util-linux-runuser-l.pamd
Source11:	uuidd-tmpfiles.conf

### Obsoletes & Conflicts & Provides
# fork and rename from util-linux to util-linux-ng
Obsoletes:	util-linux-ng < 2.19
Obsoletes:	util-linux <= 2.13-0.pre7.6
Provides:	util-linux = %{version}-%{release}
Provides:	util-linux-ng = %{version}-%{release}
# old versions of e2fsprogs provides blkid / uuidd
Conflicts:	e2fsprogs < 1.41.8-2
# eject used to be a separate package. 2.1.5 was the last released version,
# eject was merged into util-linux 2.22, so our %version is guaranteed to
# be bigger than the last eject's
Obsoletes:	eject
Provides:	eject = %{version}-%{release}
%ifarch alpha %{sunsparc} ppc
Obsoletes:	clock < %{version}-%{release}
%endif
Conflicts:	bash-completion < 2:2.1-3

Requires(pre):	filesystem >= 2.1.9-18
Requires(preun): info-install
Requires(post):	info-install
Requires(pre):	mktemp
# for /bin/awk
Requires(pre):	gawk
# for /usr/bin/cmp
Requires(pre):	diffutils
Requires(pre):	coreutils
# conflicts on older coreutils dues to su move:
Conflicts:	coreutils < 8.19
# conflicts on older sysvinit-legacy-tools due to sulogin, utmpdump, mountpoint, last, lastb, mesg and others move:
Conflicts:	sysvinit-legacy-tools < 2.87-23
Requires:	pam >= 0.66-4
Requires:	shadow-utils >= 2:4.1.5
Conflicts:	shadow-utils < 2:4.1.5
Requires:	%{lib_blkid} = %{version}-%{release}
Requires:	%{lib_mount} = %{version}-%{release}
Requires:	%{lib_uuid} = %{version}-%{release}
Requires:	%{lib_smartcols} = %{version}-%{release}
%if %{include_raw}
Requires:	udev
%endif

# RHEL/Fedora specific mount options
Patch1:		util-linux-2.23.1-mount-managed.patch
# add note about ATAPI IDE floppy to fdformat.8
Patch3:		util-linux-ng-2.20.1-fdformat-man-ide.patch
# 151635 - makeing /var/log/lastlog
Patch5:		util-linux-ng-2.21-login-lastlog.patch
# /etc/blkid.tab --> /etc/blkid/blkid.tab
Patch11:	util-linux-ng-2.16-blkid-cachefile.patch
# CVE-2014-9114 command injection flaw in blkid
Patch12:	util-linux-2.26-libblkid-escape.patch
# CVE-2015-5224 login-utils: file name collision due to incorrect mkstemp use
Patch13:	util-linux-2.25.2-CVE-2015-5224.patch

### Upstream patches

### Mageia Specific patches

# misc documentation fixes for man pages
Patch111:	util-linux-2.11t-mkfsman.patch
# (tv) useless???:
Patch114:	util-linux-2.22-dumboctal.patch
Patch115:	util-linux-2.22-fix-ioctl.patch
Patch116:	util-linux-2.12q-autodav.patch

# crypto patches
# loop-AES patch
# reworked from http://loop-aes.sourceforge.net/updates/util-linux-ng-2.17-20100120.diff.bz2
Patch1100:	util-linux-2.19.1-loopAES.patch
Patch1101:	util-linux-2.12q-swapon-skip-encrypted.patch
Patch1102:	util-linux-2.12-lower-LOOP_PASSWORD_MIN_LENGTH-for-AES.patch
# load cryptoloop and cypher modules when use cryptoapi
Patch1103:	util-linux-2.12a-cryptoapi-load-module.patch
Patch1104:	util-linux-ng-2.14.1-set-as-encrypted.patch

# clock program for ppc
Patch1200:	util-linux-2.10r-clock-1.1-ppc.patch
# leng options for clock-ppc
Patch1201:	util-linux-2.10s-clock-syntax-ppc.patch
# Added r & w options to chfn (lsb mandate)
Patch1202:	util-linux-2.21-chfn-lsb-usergroups.patch
# fix build on alpha with newer kernel-headers
Patch1203:	util-linux-2.11m-cmos-alpha.patch
# do not hide users option in mtab
Patch1207:	util-linux-ng-2.14.1-users.patch
# remove mode= from udf mounts (architecture done so that more may come)
Patch1218:	util-linux-ng-2.13-mount-remove-silly-options-in-auto.patch
# (cg) Fix path parsing in login.defs
Patch1220:	util-linux-2.21-login-defs-path.patch
# (lm) fix default paths after UsrMove (remove /bin and /sbin)
Patch1221:	util-linux-2.22.1-fix-default-paths-after-UsrMove.patch
# Mandrivamove patches
Patch1300:	util-linux-ng-2.18-losetup-try-LOOP_CHANGE_FD-when-loop-already-busy.patch

%description
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
others, Util-linux contains the fdisk configuration tool and the login
program.

%package -n	%{lib_blkid}
Summary:	Block device ID library
Group:		System/Libraries
License:	LGPLv2+
Requires(pre):	filesystem >= 2.1.9-18
Conflicts:	%{lib_ext2fs} < 1.41.6-2

%description -n	%{lib_blkid}
This is block device identification library, part of util-linux.

%package -n	%{lib_blkid_devel}
Summary:	Block device ID library
Group:		Development/C
License:	LGPLv2+
Requires:	%{lib_blkid} = %{version}-%{release}
Requires:	%{lib_uuid_devel} = %{version}
Conflicts:	%{lib_ext2fs_devel} < 1.41.6-2
Provides:	libblkid-devel = %{version}-%{release}

%description -n	%{lib_blkid_devel}
This is the block device identification development library and headers,
part of util-linux.

%package -n	%{lib_uuid}
Summary:	Universally unique ID library
Group:		System/Libraries
License:	BSD
Requires(pre):	filesystem >= 2.1.9-18
Conflicts:	%{lib_ext2fs} < 1.41.8-2

%description -n	%{lib_uuid}
This is the universally unique ID library, part of e2fsprogs.

The libuuid library generates and parses 128-bit universally unique
id's (UUID's).A UUID is an identifier that is unique across both
space and time, with respect to the space of all UUIDs.  A UUID can
be used for multiple purposes, from tagging objects with an extremely
short lifetime, to reliably identifying very persistent objects
across a network.

%package -n	%{lib_uuid_devel}
Summary:	Universally unique ID library
Group:		Development/C
License:	BSD
Conflicts:	%{lib_ext2fs} < 1.41.8-2
Requires:	%{lib_uuid} = %{version}
Provides:	libuuid-devel = %{version}-%{release}
Provides:	uuid-devel = %{version}-%{release}
Conflicts:	ossp_uuid-devel

%description -n	%{lib_uuid_devel}
This is the universally unique ID development library and headers,
part of e2fsprogs.

The libuuid library generates and parses 128-bit universally unique
id's (UUID's).A UUID is an identifier that is unique across both
space and time, with respect to the space of all UUIDs.  A UUID can
be used for multiple purposes, from tagging objects with an extremely
short lifetime, to reliably identifying very persistent objects
across a network.

%package -n	uuidd
Summary:	Helper daemon to guarantee uniqueness of time-based UUIDs
Group:		System/Servers
License:	GPLv2
Requires(post):   systemd >= %{systemd_required_version}
Requires(pre):    rpm-helper
Requires(post):   rpm-helper
Requires(preun):  rpm-helper
Requires(postun): rpm-helper
Requires(pre):	shadow-utils

%description -n	uuidd
The uuidd package contains a userspace daemon (uuidd) which guarantees
uniqueness of time-based UUID generation even at very high rates on
SMP systems.

%package -n	python-libmount
Summary:	Python bindings for the libmount library
Group:		Development/Python

%description -n	python-libmount
The python-libmount package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libmount library to work with mount tables (fstab,
mountinfo, etc) and mount filesystems.

%package -n	%{lib_mount}
Summary:	Universal mount library
Group:		System/Libraries
License:	LGPL2+
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{lib_mount}
The libmount library is used to parse /etc/fstab,
/etc/mtab and /proc/self/mountinfo files,
manage the mtab file, evaluate mount options, etc.

%package -n	%{lib_mount_devel}
Summary:	Universally mount library
Group:		Development/C
License:	LGPL2+
Requires:	%{lib_mount} = %{version}-%{release}
Provides:	libmount-devel = %{version}-%{release}

%description -n	%{lib_mount_devel}
Development files and headers for libmount library.

%package -n	%{lib_smartcols}
Summary:	Formatting library for ls-like programs
Group:		System/Libraries
License:	LGPL2+
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{lib_smartcols}
The libsmartcols library is used to format output,
for ls-like terminal programs.

%package -n	%{lib_smartcols_devel}
Summary:	Formatting library for ls-like programs
Group:		Development/C
License:	LGPL2+
Requires:	%{lib_smartcols} = %{version}-%{release}
Provides:	libsmartcols-devel = %{version}-%{release}

%description -n	%{lib_smartcols_devel}
Development files and headers for libsmartcols library.

%prep
%setup -q -n %{distname}

%patch1 -p1
%patch3 -p1
%patch5 -p1
%patch12 -p1

%ifarch ppc
%patch1200 -p0
%patch1201 -p1
%endif

#LSB (sb)
%patch1202 -p1

#fix build on alpha with newer kernel-headers
%ifarch alpha
%patch1203 -p1
%endif

%patch111 -p1 -b .mkfsman
%patch114 -p0 -b .dumboctal
%patch115 -p1 -b .fix-ioctl
#%patch116 -p0 -b .autodav

#%patch1100 -p1 -b .loopAES
#%patch1101 -p0 -b .swapon-encrypted
#%patch1102 -p0 -b .loopAES-password
#%patch1103 -p0 -b .load-module
#%patch1104 -p1 -b .set-as-encrypted

#%patch1300 -p1 -b .CHANGE-FD

#patch1207 -p1 -b .users
# FIXME: double-check if this is really obsoleted by the mount rewrite
#patch1218 -p1 -b .silly
#%patch1220 -p1 -b .login-defs
%patch1221 -p1 -b .UsrMove

# rebuild build system for loop-AES patch
./autogen.sh

%build
%serverbuild
unset LINGUAS || :

# CFLAGS
%define make_cflags -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64

export CONFIGURE_TOP="`pwd`"

%if %{with uclibc}
mkdir -p uclibc
pushd uclibc
%configure2_5x	CC="%{uclibc_cc}" \
		CFLAGS="%{uclibc_cflags} %{make_cflags}" \
		--enable-shared=no \
		--enable-static=yes \
		--enable-chfn-chsh \
		--without-ncurses

%make -C libblkid
popd
%endif

mkdir -p system
pushd  system
export CFLAGS="%{make_cflags} %{optflags} -Os"
%configure2_5x \
	--enable-partx \
	--enable-login-utils \
	--enable-kill \
	--enable-write \
%if %{include_raw}
	--enable-raw \
%endif
	--disable-makeinstall-chown \
	--disable-rpath \
	--with-audit \
	--enable-chfn-chsh \
	--with-systemd \
	--enable-tunelp

# build util-linux
%make

popd

%ifarch ppc
gcc clock-ppc.c %{ldflags} -o clock-ppc
%endif

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_infodir}
mkdir -p %{buildroot}%{_mandir}/man{1,6,8,5}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/{pam.d,security/console.apps,blkid}

%if %{with uclibc}
for lib in `find uclibc -name libblkid.a -o -name libuuid.a`; do
	install -m644 $lib -D %{buildroot}%{uclibc_root}%{_libdir}/$(basename $lib)
done
%endif

# install util-linux
%makeinstall_std -C system install DESTDIR=%{buildroot} MANDIR=%{buildroot}/%{_mandir} INFODIR=%{buildroot}/%{_infodir}

%if %{include_raw}
echo '.so man8/raw.8' > %{buildroot}%{_mandir}/man8/rawdevices.8
# see RH bugzilla #216664
install -D -p -m 644 %{SOURCE4} %{buildroot}%{_udevrulesdir}/60-raw.rules
%endif

# Correct mail spool path.
perl -pi -e 's,/usr/spool/mail,/var/spool/mail,' %{buildroot}%{_mandir}/man1/login.1

%ifarch %{sunsparc}
rm -rf %{buildroot}%{_bindir}/sunhostid
cat << E-O-F > %{buildroot}%{_bindir}/sunhostid
#!/bin/sh
# this should be %{_bindir}/sunhostid or somesuch.
# Copyright 1999 Peter Jones, <pjones@redhat.com> .
# GPL and all that good stuff apply.
(
idprom=\`cat /proc/openprom/idprom\`
echo \$idprom|dd bs=1 skip=2 count=2
echo \$idprom|dd bs=1 skip=27 count=6
echo
) 2>/dev/null
E-O-F
chmod 755 %{buildroot}%{_bindir}/sunhostid
%endif

# PAM settings
{
  pushd %{buildroot}%{_sysconfdir}/pam.d
  install -m 644 %{SOURCE1} ./login
  install -m 644 %{SOURCE2} ./remote
  install -m 644 %{SOURCE3} ./chsh
  install -m 644 %{SOURCE3} ./chfn
  install -m 644 %{SOURCE5} ./su
  install -m 644 %{SOURCE6} ./su-l
  install -m 644 %{SOURCE7} ./runuser
  install -m 644 %{SOURCE8} ./runuser-l
  popd
}

%ifarch ppc
cp -f ./clock-ppc %{buildroot}%{_sbindir}/clock-ppc
mv %{buildroot}%{_sbindir}/hwclock %{buildroot}%{_sbindir}/clock-rs6k
ln -sf clock-rs6k %{buildroot}%{_sbindir}/hwclock
%endif
ln -sf hwclock %{buildroot}%{_sbindir}/clock

install -D -p -m 644 %{SOURCE11} %{buildroot}%{_tmpfilesdir}/uuidd.conf
# And a dirs uuidd needs that the makefiles don't create
install -d %{buildroot}/var/lib/libuuid

# remove libtool archives
rm -f %{buildroot}%{_libdir}/libblkid.la
rm -f %{buildroot}%{_libdir}/libuuid.la
rm -f %{buildroot}%{_libdir}/libmount.la
rm -f %{buildroot}%{_libdir}/libsmartcols.la

# remove stuff we don't want
rm -f %{buildroot}%{_mandir}/man1/{line,newgrp,pg}.1*
rm -f %{buildroot}%{_bindir}/{line,newgrp,pg}

# remove static libs
rm -f %{buildroot}%{_libdir}/lib{uuid,blkid,mount,smartcols}.a

# Final cleanup
%ifarch %no_hwclock_archs
rm -f %{buildroot}%{_sbindir}/{hwclock,clock} %{buildroot}%{_mandir}/man8/hwclock.8*
%endif
%ifarch s390 s390x
rm -f %{buildroot}{%{_bindir},%{_sbindir}}/{fdformat,tunelp,floppy} %{buildroot}%{_mandir}/man8/{fdformat,tunelp,floppy}.8*
%endif

# deprecated commands
for I in %{_sbindir}/mkfs.bfs \
	%{_bindir}/chkdupexe \
	%{_bindir}/scriptreplay
	do
	rm -f %{buildroot}$I
done

# deprecated man pages
for I in man1/chkdupexe.1 \
	man8/mkfs.bfs.8 man1/scriptreplay.1; do
	rm -rf %{buildroot}%{_mandir}/${I}*
done

%if %{mtab_symlink}
	ln -s /proc/mounts %{buildroot}/etc/mtab
%else
	touch %{buildroot}/etc/mtab
%endif

# /usr/sbin -> /usr/bin
for I in raw; do
	if [ -e %{buildroot}%{_sbindir}/$I ]; then
		mv %{buildroot}%{_sbindir}/$I %{buildroot}%{_bindir}/$I
	fi
done

# remove vipw and vigr, they belong in shadow-utils
rm -f %{buildroot}%{_sbindir}/{vipw,vigr} %{buildroot}%{_mandir}/man8/{vigr,vipw}.*

%find_lang %{name}

# the files section supports only one -f option...
mv %{name}.lang %{name}.files

# create list of setarch(8) symlinks
find  %{buildroot}%{_bindir}/ -regextype posix-egrep -type l \
	-regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64|uname26)$" \
	-printf "%{_bindir}/%f\n" >> %{name}.files

find  %{buildroot}%{_mandir}/man8 -regextype posix-egrep  \
	-regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64|uname26)\.8.*" \
	-printf "%{_mandir}/man8/%f*\n" >> %{name}.files

%post
%ifarch ppc
ISCHRP=`grep CHRP /proc/cpuinfo`
if [ -z "$ISCHRP" ]; then
  ln -sf %{_sbindir}/clock-ppc %{_sbindir}/hwclock
fi
%endif

%if %{mtab_symlink}
rm -f /etc/mtab
ln -s /proc/mounts /etc/mtab
%else
touch /etc/mtab
/bin/chown root:root /etc/mtab
/bin/chmod 0644 /etc/mtab
%endif

%post -n %{lib_blkid}
[ -e /etc/blkid.tab ] && mv /etc/blkid.tab /etc/blkid/blkid.tab || :
[ -e /etc/blkid.tab.old ] && mv /etc/blkid.tab.old /etc/blkid/blkid.tab.old || :

%pre -n uuidd
%_pre_useradd uuidd /var/lib/libuuid /bin/false

%post -n uuidd
%_tmpfilescreate uuidd
%_post_service uuidd

%preun -n uuidd
%_preun_service uuidd

%postun -n uuidd
%_postun_userdel uuidd

%files -f %{name}.files
%doc Documentation/releases/*-ReleaseNotes
%{_bindir}/dmesg
%attr(755,root,root)	%{_bindir}/login
%{_bindir}/findmnt
%{_bindir}/ionice
%{_bindir}/kill
%{_bindir}/last
%{_bindir}/lastb
%{_bindir}/lsblk
%{_bindir}/mesg
%{_bindir}/mountpoint
%{_bindir}/more
%{_bindir}/nsenter
%{_bindir}/setpriv
%attr(4755,root,root)	%{_bindir}/su
%{_bindir}/taskset
%attr(2555,root,tty) %{_bindir}/wall
%{_bindir}/wdctl
%if %{include_raw}
%{_bindir}/raw
%{_udevrulesdir}/60-raw.rules
%endif
%config(noreplace) %{_sysconfdir}/pam.d/chfn
%config(noreplace) %{_sysconfdir}/pam.d/chsh
%config(noreplace) %{_sysconfdir}/pam.d/login
%config(noreplace) %{_sysconfdir}/pam.d/remote
%config(noreplace) %{_sysconfdir}/pam.d/su
%config(noreplace) %{_sysconfdir}/pam.d/su-l
%config(noreplace) %{_sysconfdir}/pam.d/runuser
%config(noreplace) %{_sysconfdir}/pam.d/runuser-l
%{_sbindir}/agetty
%{_sbindir}/addpart
%{_sbindir}/blkdiscard
%{_sbindir}/blkid
%{_sbindir}/blockdev
%{_sbindir}/chcpu
%{_sbindir}/ctrlaltdel
%{_sbindir}/delpart
%{_sbindir}/fsfreeze
%{_sbindir}/fstrim
%{_sbindir}/partx
%{_sbindir}/pivot_root
%{_sbindir}/runuser
%{_sbindir}/swaplabel
%{_mandir}/man1/last.1*
%{_mandir}/man1/lastb.1*
%{_mandir}/man1/mesg.1*
%{_mandir}/man1/mountpoint.1*
%{_mandir}/man1/nsenter.1*
%{_mandir}/man1/setpriv.1*
%{_mandir}/man1/wall.1*
%{_mandir}/man8/agetty.8*
%{_mandir}/man8/addpart.8*
%{_mandir}/man8/delpart.8*
%{_mandir}/man8/findmnt.8*
%{_mandir}/man8/fsfreeze.8*
%{_mandir}/man8/fstrim.8*
%{_mandir}/man8/lsblk.8*
%{_mandir}/man8/partx.8*
%{_mandir}/man8/swaplabel.8*
%ifarch %ix86 alpha ia64 x86_64 s390 s390x ppc ppc64 %{sunsparc} %mips %arm
%{_sbindir}/sfdisk
%{_mandir}/man8/sfdisk.8*
%{_sbindir}/cfdisk
%{_mandir}/man8/cfdisk.8*
%endif
%{_sbindir}/fdisk
%{_mandir}/man8/fdisk.8*
%ifnarch %no_hwclock_archs
%{_sbindir}/clock
%{_sbindir}/hwclock
%{_mandir}/man8/hwclock.8*
%endif
%ifarch ppc
%{_sbindir}/clock-ppc
%{_sbindir}/clock-rs6k
%endif
%{_sbindir}/findfs
%{_sbindir}/fsck
%{_sbindir}/mkfs
%{_sbindir}/mkswap
%{_sbindir}/nologin
%{_sbindir}/sulogin
%{_mandir}/man8/nologin.8*
%{_bindir}/chrt
%{_bindir}/cal
%attr(4711,root,root)	%{_bindir}/chfn
%attr(4711,root,root)	%{_bindir}/chsh
%{_bindir}/col
%{_bindir}/colcrt
%{_bindir}/colrm
%{_bindir}/column
%ifarch %ix86 alpha ppc ppc64 %{sunsparc} x86_64 %mips %arm
%{_bindir}/prlimit
%endif
%{_bindir}/eject
%ifnarch s390 s390x
%{_sbindir}/fdformat
%endif
%{_bindir}/flock
%{_bindir}/fallocate
%{_bindir}/getopt
%{_bindir}/hexdump
%{_bindir}/ipcrm
%{_bindir}/ipcs
%{_bindir}/isosize
%{_bindir}/logger
%{_bindir}/look
%{_bindir}/lslocks
%{_bindir}/lslogins
%{_bindir}/mcookie
%{_bindir}/utmpdump
%ifarch %ix86 alpha ia64 x86_64 s390 s390x ppc ppc64 %{sunsparc} %mips %arm
%{_sbindir}/fsck.cramfs
%{_sbindir}/mkfs.cramfs
%{_mandir}/man8/fsck.cramfs.8*
%{_mandir}/man8/mkfs.cramfs.8*
%endif
%{_sbindir}/fsck.minix
%{_sbindir}/mkfs.minix
%{_bindir}/namei
%{_bindir}/rename
%{_bindir}/renice
%{_bindir}/rev
%{_bindir}/script
%{_bindir}/setarch
%{_bindir}/setsid
%{_bindir}/setterm
%ifarch %{sunsparc}
%{_bindir}/sunhostid
%endif
%{_bindir}/tailf
%{_bindir}/ul
%{_bindir}/unshare
%{_bindir}/uuidgen
%{_bindir}/whereis
%{_bindir}/ipcmk
%{_bindir}/lscpu
%attr(2755,root,tty)	%{_bindir}/write

%ghost %verify(not md5 size mtime) %config(noreplace,missingok) /etc/mtab

%{_sbindir}/readprofile
%ifnarch s390 s390x
%{_sbindir}/tunelp
%endif
%{_sbindir}/rtcwake
%{_sbindir}/ldattach
%{_sbindir}/resizepart
%{_mandir}/man1/cal.1*
%{_mandir}/man1/chfn.1*
%{_mandir}/man1/chsh.1*
%{_mandir}/man1/col.1*
%{_mandir}/man1/colcrt.1*
%{_mandir}/man1/colrm.1*
%{_mandir}/man1/column.1*
%{_mandir}/man1/eject.1*
%{_mandir}/man1/flock.1*
%{_mandir}/man1/fallocate.1*
%{_mandir}/man1/getopt.1*
%{_mandir}/man1/hexdump.1*
%{_mandir}/man1/kill.1*
%{_mandir}/man1/logger.1*
%{_mandir}/man1/login.1*
%{_mandir}/man1/look.1*
%{_mandir}/man1/mcookie.1*
%{_mandir}/man1/more.1*
%{_mandir}/man1/namei.1*
%{_mandir}/man1/prlimit.1*
%{_mandir}/man1/rename.1*
%{_mandir}/man1/rev.1*
%{_mandir}/man1/script.1*
%{_mandir}/man1/setterm.1*
%{_mandir}/man1/su.1*
%{_mandir}/man1/tailf.1*
%{_mandir}/man1/ul.1*
%{_mandir}/man1/uuidgen.1*
%{_mandir}/man1/unshare.1*
%{_mandir}/man1/utmpdump.1*
%{_mandir}/man1/whereis.1*
%{_mandir}/man1/write.1*
%{_mandir}/man1/chrt.1*
%{_mandir}/man1/ionice.1*
%{_mandir}/man1/taskset.1*
%{_mandir}/man1/renice.1*
%{_mandir}/man1/ipcrm.1*
%{_mandir}/man1/ipcs.1*
%{_mandir}/man1/setsid.1*
%{_mandir}/man1/dmesg.1*
%{_mandir}/man1/ipcmk.1*
%{_mandir}/man1/lscpu.1*
%{_mandir}/man1/lslogins.1*
%{_mandir}/man3/uuid_generate_time_safe.3*
%{_mandir}/man8/blockdev.8*
%{_mandir}/man8/blkdiscard.8*
%{_mandir}/man8/blkid.8*
%{_mandir}/man8/chcpu.8*
%{_mandir}/man8/ctrlaltdel.8*
%ifnarch s390 s390x
%{_mandir}/man8/fdformat.8*
%endif
%{_mandir}/man8/findfs.8*
%{_mandir}/man8/fsck.8*
%{_mandir}/man8/isosize.8*
%{_mandir}/man8/lslocks.8*
%{_mandir}/man8/mkfs.8*
%{_mandir}/man8/mkswap.8*
%{_mandir}/man8/pivot_root.8*
%{_mandir}/man1/runuser.1*
%{_mandir}/man8/readprofile.8*
%if %{include_raw}
%{_mandir}/man8/raw.8*
%{_mandir}/man8/rawdevices.8*
%endif
%{_mandir}/man8/resizepart.8*
%ifnarch s390 s390x
%{_mandir}/man8/tunelp.8*
%endif
%{_mandir}/man8/setarch.8*
%{_mandir}/man8/sulogin.8*
%{_mandir}/man8/rtcwake.8*
%{_mandir}/man8/ldattach.8*
%{_mandir}/man8/wipefs.8*
%{_mandir}/man8/wdctl.8*
%{_mandir}/man8/fsck.minix.8*
%{_mandir}/man8/mkfs.minix.8*
%attr(4755,root,root)	%{_bindir}/mount
%attr(4755,root,root)	%{_bindir}/umount
%{_sbindir}/swapon
%{_sbindir}/swapoff
%{_sbindir}/switch_root
%{_mandir}/man5/fstab.5*
%{_mandir}/man5/terminal-colors.d.5*
%{_mandir}/man8/mount.8*
%{_mandir}/man8/swapoff.8*
%{_mandir}/man8/swapon.8*
%{_mandir}/man8/switch_root.8*
%{_mandir}/man8/umount.8*
%{_mandir}/man8/losetup.8*
%{_sbindir}/losetup
%{_sbindir}/wipefs
%{_datadir}/bash-completion/completions/*
%{_unitdir}/fstrim.*
%exclude %{_datadir}/bash-completion/completions/uuidd

%files -n uuidd
%{_mandir}/man8/uuidd.8*
%{_unitdir}/uuidd.*
%{_tmpfilesdir}/uuidd.conf
%attr(-, uuidd, uuidd) %{_sbindir}/uuidd
%dir %attr(2775, uuidd, uuidd) /var/lib/libuuid
%{_datadir}/bash-completion/completions/uuidd

%files -n python-libmount
%{python_sitearch}/libmount/*

%files -n %{lib_blkid}
%dir /etc/blkid
%{_libdir}/libblkid.so.%{lib_blkid_major}*

%files -n %{lib_blkid_devel}
%if %{with uclibc}
%{uclibc_root}%{_libdir}/libblkid.a
%endif
%{_libdir}/libblkid.so
%{_includedir}/blkid
%{_mandir}/man3/libblkid.3*
%{_libdir}/pkgconfig/blkid.pc

%files -n %{lib_uuid}
%{_libdir}/libuuid.so.%{lib_uuid_major}*

%files -n %{lib_uuid_devel}
%doc NEWS AUTHORS
%if %{with uclibc}
%{uclibc_root}%{_libdir}/libuuid.a
%endif
%{_libdir}/libuuid.so
%{_includedir}/uuid
%{_mandir}/man3/uuid.3*
%{_mandir}/man3/uuid_clear.3*
%{_mandir}/man3/uuid_compare.3*
%{_mandir}/man3/uuid_copy.3*
%{_mandir}/man3/uuid_generate.3*
%{_mandir}/man3/uuid_generate_random.3*
%{_mandir}/man3/uuid_generate_time.3*
%{_mandir}/man3/uuid_is_null.3*
%{_mandir}/man3/uuid_parse.3*
%{_mandir}/man3/uuid_time.3*
%{_mandir}/man3/uuid_unparse.3*
%{_libdir}/pkgconfig/uuid.pc

%files -n %{lib_mount}
%{_libdir}/libmount.so.%{lib_mount_major}*

%files -n %{lib_mount_devel}
%{_includedir}/libmount
%{_libdir}/libmount.so
%{_libdir}/pkgconfig/mount.pc

%files -n %{lib_smartcols}
%{_libdir}/libsmartcols.so.%{lib_smartcols_major}*

%files -n %{lib_smartcols_devel}
%{_includedir}/libsmartcols
%{_libdir}/libsmartcols.so
%{_libdir}/pkgconfig/smartcols.pc


%changelog
* Fri Sep 04 2015 luigiwalser <luigiwalser> 2.25.2-3.1.mga5
+ Revision: 872745
- remove libtool archives which only break things
- rediff upstream patch to fix CVE-2015-5224

* Thu Dec 04 2014 luigiwalser <luigiwalser> 2.25.2-3.mga5
+ Revision: 801542
- ensure SUID bit for su binary

* Thu Dec 04 2014 luigiwalser <luigiwalser> 2.25.2-2.mga5
+ Revision: 801497
- add patch from fedora to fix CVE-2014-9114

* Fri Oct 24 2014 luigiwalser <luigiwalser> 2.25.2-1.mga5
+ Revision: 792958
- 2.25.2

* Wed Oct 15 2014 umeabot <umeabot> 2.25.1-6.mga5
+ Revision: 746555
- Second Mageia 5 Mass Rebuild

  + tv <tv>
    - rebuild for missing pythoneggs deps

* Wed Sep 24 2014 tv <tv> 2.25.1-5.mga5
+ Revision: 723111
- exclude docdir for requires

* Tue Sep 23 2014 tv <tv> 2.25.1-4.mga5
+ Revision: 722508
- rebuild (no file deps)

* Tue Sep 16 2014 umeabot <umeabot> 2.25.1-3.mga5
+ Revision: 690105
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 joequant <joequant> 2.25.1-2.mga5
+ Revision: 671642
- rebuild with new systemd libraries

* Wed Sep 03 2014 luigiwalser <luigiwalser> 2.25.1-1.mga5
+ Revision: 671609
- 2.25.1

* Wed Jul 23 2014 luigiwalser <luigiwalser> 2.25-1.mga5
+ Revision: 656123
- 2.25
- remove deprecated mount from dumboctal patch (no longer exists)
- remove cramfs fsck patch (affected code no longer present)
- add smartcols library subpackages
- BR pkgconfig(python-2.7) and add python-libmount subpackage
- sync some spec changes from fedora
- cytune command is gone
- add new lslogins command to files list
- add fstrim systemd unit files to files list

* Thu Apr 24 2014 luigiwalser <luigiwalser> 2.24.2-1.mga5
+ Revision: 617651
- 2.24.2

* Fri Feb 14 2014 luigiwalser <luigiwalser> 2.24.1-1.mga5
+ Revision: 591409
- 2.24.1
- remove upstream patches

* Fri Dec 27 2013 luigiwalser <luigiwalser> 2.24-2.mga4
+ Revision: 560958
- use nologin from upstream
- add patches from upstream via fedora to fix:
  - fdisk mishandles GPT corruption (rhbz#1022217)
  - lsblk -D segfault (rhbz#1031262)

* Wed Oct 23 2013 tmb <tmb> 2.24-1.mga4
+ Revision: 546696
- update to 2.24 final

* Tue Oct 22 2013 umeabot <umeabot> 2.24-0.rc2.2.mga4
+ Revision: 542207
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 tmb <tmb> 2.24-0.rc2.1.mga4
+ Revision: 497085
- update to 2.24-rc2

* Tue Aug 20 2013 luigiwalser <luigiwalser> 2.23.2-1.mga4
+ Revision: 468588
- 2.23.2

* Tue Jul 02 2013 fwang <fwang> 2.23.1-3.mga4
+ Revision: 449618
- add requies on libuuid-devel, as urpmi will promote ossp_uuid

* Wed Jun 05 2013 colin <colin> 2.23.1-2.mga4
+ Revision: 437535
- Add conflicts with older bash-completion

* Wed Jun 05 2013 colin <colin> 2.23.1-1.mga4
+ Revision: 437520
- Add BR on libcap-ng for setpriv
- Add appropriate pamd files for runuser
- Sync pamd related files with fedora (keeping our customisations)
- Rename pam/udev files to match fedora names to avoid confusion (srpm only)
- New version 2.23.1
- Upstream dropped binaries: ddate and arch (latter now provided in coreutils)
- Upstream added binaries: nsenter, setpriv, blkdiscard and runuser
- Rediffed filesystem managed patch (not sure if still needed/desirable)
- Dropped ipc patch which is no longer needed (dropped from Fedora)

* Sun Jun 02 2013 colin <colin> 2.22.2-6.mga4
+ Revision: 435216
- Provide the 'wall' and 'mountpoint' binaries

* Thu Apr 25 2013 luigiwalser <luigiwalser> 2.22.2-5.mga3
+ Revision: 411159
- enable socket activation compile option for uuidd as the service uses it

* Sun Mar 24 2013 colin <colin> 2.22.2-4.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Wed Jan 16 2013 colin <colin> 2.22.2-3.mga3
+ Revision: 388729
- Add tmpfiles for uuidd
- Drop sysvinit script for uuidd (systemd unit included upstream)
- Cleaner install of udev rules

  + fwang <fwang>
    - correct udev rules dir

* Wed Jan 09 2013 tmb <tmb> 2.22.2-2.mga3
+ Revision: 344036
- rebuild with fixed glibc-2.17-2

* Sat Jan 05 2013 tmb <tmb> 2.22.2-1.mga3
+ Revision: 339478
- drop merged patches
- update to 2.22.2

* Sat Dec 01 2012 lmenut <lmenut> 2.22.1-8.mga3
+ Revision: 324066
- Fix default paths after UsrMove
  remove /bin and /sbin

* Tue Nov 20 2012 lmenut <lmenut> 2.22.1-7.mga3
+ Revision: 319897
- Fix default paths after UsrMove
  remove /bin and /sbin

* Mon Nov 19 2012 colin <colin> 2.22.1-6.mga3
+ Revision: 319662
- Add various upstream patches from upcoming 2.22.2

* Thu Oct 18 2012 tv <tv> 2.22.1-5.mga3
+ Revision: 307973
- adjust file list
- new release

* Sun Oct 07 2012 tv <tv> 2.22-5.mga3
+ Revision: 303221
- fix conflict with older shadow-utils (missing epoch) (mga#7684)

* Fri Sep 07 2012 tv <tv> 2.22-4.mga3
+ Revision: 289340
- final release

* Sun Sep 02 2012 tv <tv> 2.22-0.rc2.4.mga3
+ Revision: 287382
- conflicts with older sysvinit-legacy-tools

* Sun Sep 02 2012 tv <tv> 2.22-0.rc2.3.mga3
+ Revision: 287121
- adjust file list
- fix a path
- disable uclibc build
- new release
- drop %%upstream_version macro and do use %%tarname macro
- drop very old obsoletes/provides tags for setarch
- drop very old obsolete/provides tags
- fix source URL
- s/util-linux-ng/util-linux/

* Tue Jul 31 2012 tv <tv> 2.21.2-3.mga3
+ Revision: 276804
- fix upgrade (file conflict)

* Sat Jul 21 2012 colin <colin> 2.21.2-2.mga3
+ Revision: 273158
- Update for usrmove

* Sun Jun 03 2012 tv <tv> 2.21.2-1.mga3
+ Revision: 253640
- new release

* Sun Apr 08 2012 tmb <tmb> 2.21.1-1.mga2
+ Revision: 229608
- update to 2.21.1 (bugfix release)

* Tue Feb 28 2012 colin <colin> 2.21-3.mga2
+ Revision: 215762
- Fix parsing of PATH from login.defs (mga#4723)

* Mon Feb 27 2012 dmorgan <dmorgan> 2.21-2.mga2
+ Revision: 215548
- Uploaded to fix BS

* Mon Feb 27 2012 tv <tv> 2.21-1.mga2
+ Revision: 215497
- drop 5 years old obsolete/provide tags
- further adjust file list
- adjust file list
- new release
- fix URL
- rediff patches 1, 5, 8, 1202
- drop patch 6 (merged), 70 (useless)

* Wed Jan 25 2012 tv <tv> 2.20.1-2.mga2
+ Revision: 200802
- no big doc in main package

* Sun Oct 23 2011 dmorgan <dmorgan> 2.20.1-1.mga2
+ Revision: 157521
- Remove static libs
- Link /etc/mtab to /proc/mount
- New version 2.20.1
  Rediff patches 3, 8, 115, 1212
  enable ddate
  disable mountpoints

* Sat Jul 16 2011 eugeni <eugeni> 2.19.1-1.mga2
+ Revision: 124807
- imported package util-linux

